/* template.h
   Used to create new header files

   Copyright (C) 2000  Mathias Broxvall

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef SETTINGS_H
#define SETTINGS_H

class LevelSet {
 public:
  char name[256];
  char startLevel[256];
  char startLevelName[256];
};

class Settings {
 public:
  Settings();
  void loadLevelSets();
  void save();
  static void init();
  static Settings *settings;

  double sfxVolume,musicVolume;
  double mouseSensitivity;
  int is_windowed,resolution;
  int gfx_details; /* 0 - 5 */
  int showFPS;
  int difficulty;
  int rotateArrows;
  int ignoreMouse;

  char specialLevel[256];
  int doSpecialLevel;

  int nLevelSets;
  class LevelSet levelSets[256];
 private:
  void loadLevelSet(char *name);
};

#endif
